

# Returns a string formatted for human reading, input file_size in bytes
def human_readable_file_size(bytes):
    suffixes = ['Bytes', 'KiloBytes', 'MegaBytes', 'GB', 'TB', 'PB']
    i = 0
    while bytes >= 1024 and i < len(suffixes)-1:
        bytes /= 1024.
        i += 1
    f = ('%.2f' % bytes).rstrip('0').rstrip('.')
    return '%s %s' % (f, suffixes[i])
